#/usr/bin/env python
# -*- encoding=utf-8 -*-


from fabric.api import *
from fabric.context_managers import *
from fabric.contrib.console import confirm

env.user = 'root'
env.hosts = ['xx.xx.xx.xx']
env.port = '22'
env.password = '123456..'

# 定义系统优化内核脚本地址
env.sys_kernel_optimize = 'https://down.vqiu.cn/scripts/shell/sys/kernel_optimize.sh'

# 定义远程安装包目录
rpackpath = '/data/shell'

@task
def sys_kernel():
	with cd('/usr/local/src'):
		run('wget --version> /dev/null;if [[ $? -eq 1 ]]; then yum -y install wget; fi')
		run('wget %s % env.sys_kernel_optimize')
		run('sh kernel_optimize.sh;sysctl -p')

		
@task
def go():
	sys_kernel()